Subject: Re: [PATCH v3 2/8] DMA: Freescale: unify register access methods

From: Hongbo Zhang <[email-masked]>
Date: Thu, 10 Apr 2014 17:33:39 +0800

On 04/10/2014 04:46 PM, David Laight wrote:
> From: [email-masked]
>> Methods of accessing DMA contorller registers are inconsistent, some registers
>                                 ^^

Thanks.
sorry, that it a typo.
I would wait to see if there are other defects I have to correct, if yes 
I can send a new iteration including this update, if no I would like to 
know if the maintainer can do me the favor to correct it when merging 
this patch, if still no, I will send a new iteration for this then.

>> are accessed by DMA_IN/OUT directly, while others are accessed by functions
>> get/set_* which are wrappers of DMA_IN/OUT, and even for the BCR register, it
>> is read by get_bcr but written by DMA_OUT.
>> This patch unifies the inconsistent methods, all registers are accessed by
>> get/set_* now.
> 	David
>